Package org.eclipse.cdt.utils.macho

## Class MachO.Symbol

- java.lang.Object
- - org.eclipse.cdt.utils.macho.MachO.Symbol

All Implemented Interfaces:
  `Comparable<Object>`

Enclosing class:
  MachO

    public class MachO.Symbol
    extends Object
    implements Comparable<Object>

### Field Summary

Fields
`static int` `MAX_SECT`
`static int` `N_ABS`
`static int` `N_BCOMM`
`static int` `N_BINCL`
`static int` `N_BNSYM`
`short` `n_desc`
`static int` `N_DESC_DISCARDED`
`static int` `N_ECOML`
`static int` `N_ECOMM`
`static int` `N_EINCL`
`static int` `N_ENSYM`
`static int` `N_ENTRY`
`static int` `N_EXCL`
`static int` `N_EXT`
`static int` `N_FNAME`
`static int` `N_FUN`
`static int` `N_GSYM`
`static int` `N_INDR`
`static int` `N_LBRAC`
`static int` `N_LCSYM`
`static int` `N_LENG`
`static int` `N_LSYM`
`static int` `N_OLEVEL`
`static int` `N_OPT`
`static int` `N_PARAMS`
`static int` `N_PBUD`
`static int` `N_PEXT`
`static int` `N_PSYM`
`static int` `N_RBRAC`
`static int` `N_RSYM`
`byte` `n_sect`
`static int` `N_SECT`
`static int` `N_SLINE`
`static int` `N_SO`
`static int` `N_SOL`
`static int` `N_SSYM`
`static int` `N_STAB`
`long` `n_strx`
`static int` `N_STSYM`
`byte` `n_type`
`static int` `N_TYPE`
`static int` `N_UNDF`
`long` `n_value`
`static int` `N_VERSION`
`static int` `N_WEAK_DEF`
`static int` `N_WEAK_REF`
`static int` `NO_SECT`
`static int` `REFERENCE_FLAG_DEFINED`
`static int` `REFERENCE_FLAG_PRIVATE_DEFINED`
`static int` `REFERENCE_FLAG_PRIVATE_UNDEFINED_LAZY`
`static int` `REFERENCE_FLAG_PRIVATE_UNDEFINED_NON_LAZY`
`static int` `REFERENCE_FLAG_UNDEFINED_LAZY`
`static int` `REFERENCE_FLAG_UNDEFINED_NON_LAZY`
`static int` `REFERENCE_TYPE`
`static int` `REFERENCED_DYNAMICALLY`

### Constructor Summary

Constructors
`Symbol()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `compareTo​(Object obj)`
`String` `getFilename()` If the filename is available from the symbol information, this will return the base filename information.
`int` `getFuncLineNumber()` Returns the line number of the function which is closest associated with the address if it is available.
`String` `getFunction()` If the function is available from the symbol information, this will return the function name.
`int` `getLineNumber​(long vma)` Returns the line number of the file if it is available from the symbol information.
`String` `lineInfo()` Returns line information in the form of filename:line and if the information is not available may return null _or_ may return ??:??
`String` `lineInfo​(long vma)`
`boolean` `n_desc​(int val)`
`boolean` `n_type​(int val)`
`boolean` `n_type_mask​(int mask)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### N_STAB

    public static final int N_STAB

See Also:
  Constant Field Values

#### N_PEXT

    public static final int N_PEXT

See Also:
  Constant Field Values

#### N_EXT

    public static final int N_EXT

See Also:
  Constant Field Values

#### N_TYPE

    public static final int N_TYPE

See Also:
  Constant Field Values

#### N_UNDF

    public static final int N_UNDF

See Also:
  Constant Field Values

#### N_ABS

    public static final int N_ABS

See Also:
  Constant Field Values

#### N_SECT

    public static final int N_SECT

See Also:
  Constant Field Values

#### N_PBUD

    public static final int N_PBUD

See Also:
  Constant Field Values

#### N_INDR

    public static final int N_INDR

See Also:
  Constant Field Values

#### N_GSYM

    public static final int N_GSYM

See Also:
  Constant Field Values

#### N_FNAME

    public static final int N_FNAME

See Also:
  Constant Field Values

#### N_FUN

    public static final int N_FUN

See Also:
  Constant Field Values

#### N_STSYM

    public static final int N_STSYM

See Also:
  Constant Field Values

#### N_LCSYM

    public static final int N_LCSYM

See Also:
  Constant Field Values

#### N_BNSYM

    public static final int N_BNSYM

See Also:
  Constant Field Values

#### N_OPT

    public static final int N_OPT

See Also:
  Constant Field Values

#### N_RSYM

    public static final int N_RSYM

See Also:
  Constant Field Values

#### N_SLINE

    public static final int N_SLINE

See Also:
  Constant Field Values

#### N_ENSYM

    public static final int N_ENSYM

See Also:
  Constant Field Values

#### N_SSYM

    public static final int N_SSYM

See Also:
  Constant Field Values

#### N_SO

    public static final int N_SO

See Also:
  Constant Field Values

#### N_LSYM

    public static final int N_LSYM

See Also:
  Constant Field Values

#### N_BINCL

    public static final int N_BINCL

See Also:
  Constant Field Values

#### N_SOL

    public static final int N_SOL

See Also:
  Constant Field Values

#### N_PARAMS

    public static final int N_PARAMS

See Also:
  Constant Field Values

#### N_VERSION

    public static final int N_VERSION

See Also:
  Constant Field Values

#### N_OLEVEL

    public static final int N_OLEVEL

See Also:
  Constant Field Values

#### N_PSYM

    public static final int N_PSYM

See Also:
  Constant Field Values

#### N_EINCL

    public static final int N_EINCL

See Also:
  Constant Field Values

#### N_ENTRY

    public static final int N_ENTRY

See Also:
  Constant Field Values

#### N_LBRAC

    public static final int N_LBRAC

See Also:
  Constant Field Values

#### N_EXCL

    public static final int N_EXCL

See Also:
  Constant Field Values

#### N_RBRAC

    public static final int N_RBRAC

See Also:
  Constant Field Values

#### N_BCOMM

    public static final int N_BCOMM

See Also:
  Constant Field Values

#### N_ECOMM

    public static final int N_ECOMM

See Also:
  Constant Field Values

#### N_ECOML

    public static final int N_ECOML

See Also:
  Constant Field Values

#### N_LENG

    public static final int N_LENG

See Also:
  Constant Field Values

#### NO_SECT

    public static final int NO_SECT

See Also:
  Constant Field Values

#### MAX_SECT

    public static final int MAX_SECT

See Also:
  Constant Field Values

#### REFERENCE_TYPE

    public static final int REFERENCE_TYPE

See Also:
  Constant Field Values

#### REFERENCE_FLAG_UNDEFINED_NON_LAZY

    public static final int REFERENCE_FLAG_UNDEFINED_NON_LAZY

See Also:
  Constant Field Values

#### REFERENCE_FLAG_UNDEFINED_LAZY

    public static final int REFERENCE_FLAG_UNDEFINED_LAZY

See Also:
  Constant Field Values

#### REFERENCE_FLAG_DEFINED

    public static final int REFERENCE_FLAG_DEFINED

See Also:
  Constant Field Values

#### REFERENCE_FLAG_PRIVATE_DEFINED

    public static final int REFERENCE_FLAG_PRIVATE_DEFINED

See Also:
  Constant Field Values

#### REFERENCE_FLAG_PRIVATE_UNDEFINED_NON_LAZY

    public static final int REFERENCE_FLAG_PRIVATE_UNDEFINED_NON_LAZY

See Also:
  Constant Field Values

#### REFERENCE_FLAG_PRIVATE_UNDEFINED_LAZY

    public static final int REFERENCE_FLAG_PRIVATE_UNDEFINED_LAZY

See Also:
  Constant Field Values

#### REFERENCED_DYNAMICALLY

    public static final int REFERENCED_DYNAMICALLY

See Also:
  Constant Field Values

#### N_DESC_DISCARDED

    public static final int N_DESC_DISCARDED

See Also:
  Constant Field Values

#### N_WEAK_REF

    public static final int N_WEAK_REF

See Also:
  Constant Field Values

#### N_WEAK_DEF

    public static final int N_WEAK_DEF

See Also:
  Constant Field Values

#### n_strx

    public long n_strx

#### n_value

    public long n_value

#### n_desc

    public short n_desc

#### n_type

    public byte n_type

#### n_sect

    public byte n_sect

### Constructor Detail

#### Symbol

    public Symbol()

### Method Detail

#### n_type_mask

    public boolean n_type_mask​(int mask)

#### n_type

    public boolean n_type​(int val)

#### n_desc

    public boolean n_desc​(int val)

#### compareTo

    public int compareTo​(Object obj)

Specified by:
  `compareTo` in interface `Comparable<Object>`

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`

#### lineInfo

    public String lineInfo()

Returns line information in the form of filename:line and if the information is not available may return null _or_ may return ??:??

#### lineInfo

    public String lineInfo​(long vma)

#### getFunction

    public String getFunction()

If the function is available from the symbol information, this will return the function name. May return null if the function can't be determined.

#### getFilename

    public String getFilename()

If the filename is available from the symbol information, this will return the base filename information. May return null if the filename can't be determined.

#### getFuncLineNumber

    public int getFuncLineNumber()

Returns the line number of the function which is closest associated with the address if it is available. from the symbol information. If it is not available, then -1 is returned.

#### getLineNumber

    public int getLineNumber​(long vma)

Returns the line number of the file if it is available from the symbol information. If it is not available, then -1 is returned.